<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <style>
        .init-panel{
            margin-bottom: 10px;
        }
        .init-panel input {
            width: 50px;
        }
        .field{
            border: 1px solid black; 
            display: inline-block;
        }
    </style>
</head>
<body>
    <div class="init-panel">
        <label>Размер поля:</label> Y <input id="y" type="text" value="30"/> X <input id="x" type="text" value="30"/>
        <button onclick="createLife()">Create field</button>
        <button onclick="runLife()">Run</button>
    </div>
    <div class="field">
        <canvas id="cField" width="300" height="300"></canvas>
    </div>

    <script src="./src/life.js"></script>
</body>
</html>